Subject: bug#17112: closed (Re: bug#17112: 24.4.50; puresize overflowed)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 28 Mar 2014 16:39:04 +0000

Your bug report

#17112: 24.4.50; puresize overflowed

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17112: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17112
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17112: 24.4.50; puresize overflowed
From: Ken Brown <[email-masked]>
To: Katsumi Yamaoka <[email-masked]>, [email-masked]
Date: Fri, 28 Mar 2014 12:38:42 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.4

I fixed this in rev 116874 on the emacs-24 branch by setting 
SYSTEM_PURESIZE_EXTRA to 10000 on Cygwin.  Some day I'll figure out the 
right value for this, but 10000 should hold us for a while.

Ken

Subject: 24.4.50; puresize overflowed
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Date: Thu, 27 Mar 2014 08:55:07 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

It may not be a bug, but I got this in today's Emacs build on Cygwin:

Dumping under the name emacs
emacs:0:Pure Lisp storage overflow (approx. 1700068 bytes needed)
Maximum static heap usage: 5465312 of 13631488 bytes
74 pure bytes used
Adding name emacs-24.4.50.1

Increasing BASE_PURESIZE 10000 helps.  Thanks.

In GNU Emacs 24.4.50.1 (i686-pc-cygwin, GTK+ Version 3.8.8)
 of 2014-03-27 on localhost
Repository revision: 116882 [email-masked]
Windowing system distributor `The Cygwin/X Project', version 11.0.11500000
Configured using:
 `configure --verbose --with-x-toolkit=gtk3'